/* ------------------------------------------------------------------------
$Copyright: Copyright (c) 2005 Symantec Corporation.
All rights reserved.

THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.

The Licensed Software and Documentation are deemed to be "commercial
computer software" and "commercial computer software documentation"
as defined in FAR Sections 12.212 and DFARS Section 227.7202.  $
 * ------------------------------------------------------------------------
 * Original Author: Kiran Patil
 * Group: SIGSEC
 * Site: Pune, India
 * Date: 11/27/2000
 *
 * Description: Version information.
 *
 * $Archive: /VxHelp/Current/source/viewer/java/Version.java $
 * $Revision: 1.25.2.6 $
 * $Author: kiranp $
 * $Date: 2005/09/22 20:55:29 $
 * ------------------------------------------------------------------------
 */

package vrts.help.viewer;

import java.awt.*;

public class Version
{
	// The name of the component.
	private static String COMPONENT_NAME = "Symantec Help";

	// The version number for the component.
	private static String COMPONENT_VERSION = " 1.11.4.0 ";

	// Copyright notice
	private static String COMPONENT_COPYRIGHT = "Copyright \u00A9 2000-2005 Symantec Corporation.  All Rights Reserved.";

	// Description of the component
	private static String DESCRIPTION = "";

	public Version()
	{
	}

	public static String getVersion ()
	{
		return COMPONENT_VERSION;
	}

	public static String getProductName ()
	{
		return COMPONENT_NAME;
	}

	public static String getCopyrightString ()
	{
	  if (VxHelpUISettings.RESOURCE == null)
	  {
	    VxHelpUISettings.InitializeUISettings(false);
	  }

	  return VxHelpUISettings.RESOURCE.getString(VxHelpUISettings.COPYRIGHT);
	}

	public static String getString()
	{
		return COMPONENT_NAME + " (" + COMPONENT_VERSION + ")\n" + getCopyrightString();
	}
}
